<?php

ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=site'>".LG('Настройки сайта')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=site&section=modules'>".LG('Управление модулями')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Смайлы')."";
ECHO "</div>";

/*
----------------------
Редактирование смайлов
----------------------
*/

IF (GET('edit_smile') && DB::GET_COLUMN("SELECT COUNT(*) FROM `SMILES` WHERE `ID` = '".INTVAL(GET('edit_smile'))."' LIMIT 1") == 1){
  
  $smile = DB::GET_STRING("SELECT * FROM `SMILES` WHERE `ID` = '".INTVAL(GET('edit_smile'))."' LIMIT 1");
  $dir = DB::GET_STRING("SELECT * FROM `SMILES_DIR` WHERE `ID` = '".$smile['ID_DIR']."' LIMIT 1");
  
  IF (POST('ok')){
    
    $err_data = 0;
    
    $name = ADSL(POST('name'));
    $dir = ADSL(POST('id_dir'));
    
    IF (STR($name) < 1){
      
      ERROR('Имя не может быть меньше 1 символа', 'session');
      $err_data = 1;
      
    }
    
    IF (STRPOS($name, " ")){

      ERROR('В названии смайла не могут быть пробелы', 'session');
      $err_data = 1;
    
    }
    
    IF ($name != $smile['NAME'] && DB::GET_COLUMN("SELECT COUNT(*) FROM `SMILES` WHERE `NAME` = '".$name."' LIMIT 1") == 1){
      
      ERROR('Смайл с таким названием уже есть', 'session');
      $err_data = 1;
    
    }
    
    IF (STR($name) > 50){
      
      ERROR('Имя не может быть больше 50 символов', 'session');
      $err_data = 1;
      
    }
    
    IF ($err_data == 1){     
      
      REDIRECT('?path=site&section=modules&mod=smiles&edit_smile='.$smile['ID'].'');
    
    }
    
    DB::GET_SET("UPDATE `SMILES` SET `NAME` = '".$name."', `ID_DIR` = '".$dir."' WHERE `ID` = '".$smile['ID']."' LIMIT 1");
    
    SUCCESS('Изменения успешно приняты', 'session');
    REDIRECT('?path=site&section=modules&mod=smiles&id_dir='.$dir['ID'].'');
    
  }
  
  ECHO "<div class='fon'>";
  
  ECHO "<form method='post'>";
  
  HTML::INPUT('name', NULL, 'Название смайла', NULL, TEXT_ABSOLUTE($smile['NAME']));
  
  $data = DB::GET_STRING_ALL("SELECT * FROM `SMILES_DIR` ORDER BY `ID` DESC");
  
  ECHO "<select name='id_dir' class='form-control-select'>";
  
  WHILE ($list = $data->FETCH()){
    
    ECHO "<option value='".$list['ID']."' ".($smile['ID_DIR'] == $list['ID']?' selected="selected"':NULL)."> ".TEXT_ABSOLUTE($list['NAME'])."</option>";
  
  }
  
  ECHO "</select><br /><br />";
  
  HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');
  
  ECHO "</form>";
  
  ECHO "</div>";
  
  ECHO "<a href='?path=site&section=modules&mod=smiles'><div class='fon'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</div></a>";
  
  REQUIRE (ROOT.'/style/panel/include/footer.php'); 
  EXIT;
  
}

/*
----------------
Удаление смайлов
----------------
*/

IF (GET('delete_smile') && DB::GET_COLUMN("SELECT COUNT(*) FROM `SMILES` WHERE `ID` = '".INTVAL(GET('delete_smile'))."' LIMIT 1") == 1){
  
  $smile = DB::GET_STRING("SELECT * FROM `SMILES` WHERE `ID` = '".INTVAL(GET('delete_smile'))."' LIMIT 1");
  $dir = DB::GET_STRING("SELECT * FROM `SMILES_DIR` WHERE `ID` = '".$smile['ID_DIR']."' LIMIT 1");
  
  @UNLINK(ROOT.'/files/upload/smiles/'.$smile['ID'].'.'.$smile['EXT'].'');
  
  DB::GET_SET("DELETE FROM `SMILES` WHERE `ID` = '".$smile['ID']."' LIMIT 1");
  
  SUCCESS('Удаление прошло успешно', 'session');  
  REDIRECT('/panel/?path=site&section=modules&mod=smiles&id_dir='.$dir['ID'].'');
  
}

/*
-------------------------------
Список смайлов и управление ими
-------------------------------
*/

IF (GET('id_dir') && DB::GET_COLUMN("SELECT COUNT(*) FROM `SMILES_DIR` WHERE `ID` = '".INTVAL(GET('id_dir'))."' LIMIT 1") == 1){
  
  $dir = DB::GET_STRING("SELECT * FROM `SMILES_DIR` WHERE `ID` = '".INTVAL(GET('id_dir'))."' LIMIT 1");
  
  ECHO "<div class='fon'>";
  
  ECHO "<form method='post' id='js-form' method='post' enctype='multipart/form-data'>";
  
  HTML::INPUT('name', 'Имя смайла', NULL, NULL, NULL, 'form-control-30');
  
  IF (CONFIG('CSRF') == 1){
    
    ECHO '<input type="hidden" name="'.$token_id.'" value="'.$token_value.'">';
  
  }
  
  FILE::UPLOAD('/files/receiver/smiles.php?id_dir='.$dir['ID'].'', 'Загрузить', 0);
  
  ECHO "</form>";
  
  ECHO "<br />".LG('Имя будет служить для добавления и отображения смайла в тексте. Рекомендуется использовать символы с буквами.')."";
  
  ECHO "</div>";
  
  ECHO "<div id='smiles_upgrade'>";
  
  $column = DB::GET_COLUMN("SELECT COUNT(*) FROM `SMILES` WHERE `ID_DIR` = '".$dir['ID']."'");
  $spage = SPAGE($column, $page_settings);
  $page = PAGE($spage);
  $limit = $page_settings * $page - $page_settings;
  
  ECHO "<div class='fon2'>";
  
  ECHO "<div class='list-title'><b>".TEXT_ABSOLUTE($dir['NAME']).": ".LG('Список смайлов')." <span class='count2'>".$column."</span></b></div>";
  
  IF ($column == 0){ 
    
    HTML::EMPTY();
  
  }
  
  $data = DB::GET_STRING_ALL("SELECT * FROM `SMILES` WHERE `ID_DIR` = '".$dir['ID']."' ORDER BY `ID` DESC LIMIT ".$limit.", ".$page_settings."");
  
  WHILE ($list = $data->FETCH()){
    
    ECHO "<div class='list'>";
    
    ECHO "<img src='/files/upload/smiles/".$list['ID'].".".$list['EXT']."'><br />";
    
    ECHO "".TEXT_ABSOLUTE($list['NAME'])."";
    
    ECHO "<br /><br />";
    
    ECHO "<a href='/panel/?path=site&section=modules&mod=smiles&edit_smile=".$list['ID']."' class='panel-button'>".ICONS('pencil', 15, 'fa-fw')." ".LG('Редактировать')."</a> ";
    ECHO "<a href='/panel/?path=site&section=modules&mod=smiles&delete_smile=".$list['ID']."' class='panel-button'>".ICONS('trash', 15, 'fa-fw')." ".LG('Удалить')."</a>";
    
    ECHO "</div>";
  
  }
  
  ECHO "</div>";
  
  IF ($spage > 1){ ECHO "<div class='list-body'>"; ECHO STR_PAGE('/panel/?path=site&section=modules&mod=smiles&id_dir='.$dir['ID'].'&', $spage, $page); ECHO "</div>"; }
  
  ECHO "</div>";
  
  ECHO "<a href='?path=site&section=modules&mod=smiles'><div class='fon'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</div></a>";
  
  REQUIRE (ROOT.'/style/panel/include/footer.php'); 
  EXIT;
  
}

/*
-------------------------
Добавление нового раздела
-------------------------
*/

IF (GET('get') == "add_dir"){
  
  IF (POST('ok')){
    
    $err_data = 0;
    
    $name = ADSL(POST('name'));
    
    IF (STR($name) < 1){
      
      ERROR('Имя не может быть меньше 1 символа', 'session');
      $err_data = 1;
      
    }
    
    IF (STR($name) > 100){
      
      ERROR('Имя не может быть больше 100 символов', 'session');
      $err_data = 1;
      
    }
    
    IF ($err_data == 1){     
      
      REDIRECT('?path=site&section=modules&mod=smiles&get=add_dir');
    
    }
    
    DB::GET_ADD("INSERT INTO `SMILES_DIR` (`NAME`) VALUES ('".$name."')"); 
    
    SUCCESS('Раздел успешно добавлен', 'session');
    REDIRECT('?path=site&section=modules&mod=smiles');
    
  }
  
  ECHO "<div class='fon'>";
  
  ECHO "<form method='post'>";
  
  HTML::INPUT('name', NULL, 'Введите название:', NULL, NULL);
  
  HTML::BUTTON('panel-button2', 'ok', 'plus', 'Добавить');
  
  ECHO "</form>";
  
  ECHO "</div>";
  
  ECHO "<a href='?path=site&section=modules&mod=smiles'><div class='fon'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</div></a>";
  
  REQUIRE (ROOT.'/style/panel/include/footer.php'); 
  EXIT;
  
}

/*
----------------------
Редактирование раздела
----------------------
*/

IF (GET('edit_dir') && DB::GET_COLUMN("SELECT COUNT(*) FROM `SMILES_DIR` WHERE `ID` = '".INTVAL(GET('edit_dir'))."' LIMIT 1") == 1){
  
  $dir = DB::GET_STRING("SELECT * FROM `SMILES_DIR` WHERE `ID` = '".INTVAL(GET('edit_dir'))."' LIMIT 1");
  
  IF (POST('ok')){
    
    $err_data = 0;
    
    $name = ADSL(POST('name'));
    
    IF (STR($name) < 1){
      
      ERROR('Имя не может быть меньше 1 символа', 'session');
      $err_data = 1;
      
    }
    
    IF (STR($name) > 100){
      
      ERROR('Имя не может быть больше 100 символов', 'session');
      $err_data = 1;
      
    }
    
    IF ($err_data == 1){     
      
      REDIRECT('?path=site&section=modules&mod=smiles&edit_dir='.$dir['ID'].'');
    
    }
    
    DB::GET_SET("UPDATE `SMILES_DIR` SET `NAME` = '".$name."' WHERE `ID` = '".$dir['ID']."' LIMIT 1");
    
    SUCCESS('Изменения успешно приняты', 'session');
    REDIRECT('?path=site&section=modules&mod=smiles');
    
  }
  
  ECHO "<div class='fon'>";
  
  ECHO "<form method='post'>";
  
  HTML::INPUT('name', NULL, 'Введите название:', NULL, TEXT_ABSOLUTE($dir['NAME']));
  
  HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');
  
  ECHO "</form>";
  
  ECHO "</div>";
  
  ECHO "<a href='?path=site&section=modules&mod=smiles'><div class='fon'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</div></a>";
  
  REQUIRE (ROOT.'/style/panel/include/footer.php'); 
  EXIT;
  
}

/*
----------------
Удаление раздела
----------------
*/

IF (GET('delete_dir') && DB::GET_COLUMN("SELECT COUNT(*) FROM `SMILES_DIR` WHERE `ID` = '".INTVAL(GET('delete_dir'))."' LIMIT 1") == 1){
  
  $dir = DB::GET_STRING("SELECT * FROM `SMILES_DIR` WHERE `ID` = '".INTVAL(GET('delete_dir'))."' LIMIT 1");
  
  $data = DB::GET_STRING_ALL("SELECT * FROM `SMILES` WHERE `ID_DIR` = '".$dir['ID']."'");
  
  WHILE ($list = $data->FETCH()){
    
    @UNLINK(ROOT.'/files/upload/smiles/'.$list['ID'].'.'.$list['EXT'].'');
    
    DB::GET_SET("DELETE FROM `SMILES` WHERE `ID` = '".$list['ID']."' LIMIT 1");
    
  }
  
  DB::GET_SET("DELETE FROM `SMILES_DIR` WHERE `ID` = '".$dir['ID']."' LIMIT 1");
  
  SUCCESS('Удаление прошло успешно', 'session');  
  REDIRECT('/panel/?path=site&section=modules&mod=smiles');
  
}

/*
---------------
Список разделов
---------------
*/

ECHO "<div class='fon'>";

ECHO "<a href='?path=site&section=modules&mod=smiles&get=add_dir' class='panel-button2'>".ICONS('plus', 15, 'fa-fw')." ".LG('Добавить раздел')."</a>";

ECHO "</div>";

$count = DB::GET_COLUMN("SELECT COUNT(*) FROM `SMILES_DIR`");

ECHO "<div class='fon2'>";

ECHO "<div class='list-title'><b>".LG('Список разделов')." <span class='count2'>$count</span></b></div>";

IF ($count == 0){ 
  
  HTML::EMPTY();
  
}

$data = DB::GET_STRING_ALL("SELECT * FROM `SMILES_DIR` ORDER BY `ID` DESC");

WHILE ($list = $data->FETCH()){
  
  $count = DB::GET_COLUMN("SELECT COUNT(*) FROM `SMILES` WHERE `ID_DIR` = '".$list['ID']."'");
  
  ECHO "<div class='list'>";
  
  ECHO "<a href='/panel/?path=site&section=modules&mod=smiles&id_dir=".$list['ID']."'>".TEXT_ABSOLUTE($list['NAME'])." <span class='count'>".$count."</span></a>";
  
  ECHO "<br /><br />";
  
  ECHO "<a href='/panel/?path=site&section=modules&mod=smiles&id_dir=".$list['ID']."' class='panel-button'>".ICONS('bars', 15, 'fa-fw')." ".LG('Список смайлов')."</a> ";
  
  ECHO "<a href='/panel/?path=site&section=modules&mod=smiles&edit_dir=".$list['ID']."' class='panel-button'>".ICONS('pencil', 15, 'fa-fw')." ".LG('Редактировать')."</a> ";
  
  ECHO "<a href='/panel/?path=site&section=modules&mod=smiles&delete_dir=".$list['ID']."' class='panel-button'>".ICONS('trash', 15, 'fa-fw')." ".LG('Удалить')."</a>";
  
  ECHO "</div>";
  
}

ECHO "</div>";  
  
?>